|  | error.h File Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
error.h File Reference

RE/flex regex errors. More...

`#include <cstdio>`
`#include <stdexcept>`
`#include <string>`
Include dependency graph for error.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | reflex::regex_error
| Regex syntax error exceptions. More...

## Namespaces
| reflex

## Typedefs
typedef int | reflex::regex_error_type
| Regex syntax error exception error code. More...

## Functions
std::string | reflex::ztoa (size_t n)

## Detailed Description

RE/flex regex errors.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt